# -*- rpm-spec -*-
# $Id: kernel-feat-drivers-ide-hotswap,v 1.14 2003/08/20 15:04:07 tren Exp $
#
#
%define  patch_name kernel-feat-drivers-ide-hotswap

Name: %patch_name
Version: 2003.08.05
Release: alt8

Summary: %patch_name kernel patch - ide hotswap support
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  1 01_%{patch_name}.patch
%source  2 02_hotswap-module.patch
%source  3 03_hotswap-dma.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
This is a patch to add IDE hotswap support and inform md about ide changes 

%prep

%install

%install_patches

%__mkdir_p %patches_dir/%patch_name/kernel-fix-drivers-ide/
%__mv %patches_dir/%patch_name/*.patch \
	%patches_dir/%patch_name/kernel-fix-drivers-ide/

%files
%_usrsrc/*

%changelog
* Wed Aug 20 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt8
- Added dma fix

* Fri Aug 15 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.08.05-alt7
- Removed dma fix

* Tue Aug 12 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt6
- Added dma fix

* Tue Aug 12 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt5
- Added dependency of kernel-fix-drivers-ide

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt4
- Added order labels to patch names

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt3
- Fixed to apply patch after IDE modularisation patch
- Added module fix

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt2
- Fixed to apply patch to aw kernel

* Tue Aug 05 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.08.05-alt1
- Initial release


